Subject: Re: TAP

From: Stefan Santesson <[email-masked]>
Date: Tue, 01 Apr 2003 00:29:09 +0200

I'm not sure, but is strikes me that the efforts of the OASIS Rights 
Language TC http://www.oasis-open.org/committees/rights/charter.php
might be used as a protocol framework to exercise rights over information 
and policies/conditions for its archival and retrieval. All supported by 
PKI based authentications of rights holders and licensees.

It would be interesting if anyone else has more deep knowledge about this.

/Stefan

At 15:28 2003-03-31 -0500, Stephen Kent wrote:
>>Steve,
>>
>>Some thoughts and questions, if you could elaborate.
>>
>>Doesn't this come very close to the aspects of reality that would be 
>>suitable for OASIS, if it wasn't for the fact that TAP as proposed is 
>>based on ASN.1 and not XML.?
>>
>>Has then PKIX become the body for ASN.1 based application standards for 
>>anything related to PKI?
>>Had this been suitable for PKIX if the proposed protocol was XML based?
>>
>>/Stefan
>
>Stefan,
>
>I am not sufficiently familiar with OASIS to know if this overlaps their 
>work, other than in choice of syntax. Even if that's true, PKIX has stayed 
>with ASN.1, while other folks have pursued XML, and I think it is still 
>reasonable to do that given the ASN.1 basis for our other protocols.
>
>Steve

_____________________________
Stefan Santesson,  Retrospekt AB
http://www.retrospekt.com
+46-706 443351